This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 08:04
Elapsed6m50s
Revision
Builder525228d6-73ef-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/2706a087-d315-4dfc-803b-dc9d42e5686d/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/2706a087-d315-4dfc-803b-dc9d42e5686d/targets/test
infra-commit1b9b50e18

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 08:04:21.699] process 29 exited with code 0 after 0.0m
I0401 08:04:21.700] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 08:04:21.700] Root: /workspace
I0401 08:04:21.700] cd to /workspace
I0401 08:04:21.700] Configure environment...
I0401 08:04:21.700] Call:  git show -s --format=format:%ct HEAD
W0401 08:04:21.705] fatal: not a git repository (or any of the parent directories): .git
I0401 08:04:21.705] process 42 exited with code 128 after 0.0m
W0401 08:04:21.705] Unable to print commit date for HEAD
I0401 08:04:21.706] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 08:04:22.165] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 08:04:23.039] process 43 exited with code 0 after 0.0m
I0401 08:04:23.040] Call:  gcloud config get-value account
I0401 08:04:23.887] process 56 exited with code 0 after 0.0m
I0401 08:04:23.887] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 08:04:23.887] Start 1245260619515432960 at ...
I0401 08:04:23.889] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_6W8WJr gs://kubernetes-jenkins/logs/metrics-kettle/1245260619515432960/started.json
I0401 08:04:27.016] process 69 exited with code 0 after 0.1m
I0401 08:04:27.017] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 08:04:27.042] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 08:11:01.415] ERROR: table k8s-gubernator:build.all is 25.1 hours old. Max allowed: 6 hours.
I0401 08:11:01.416] ERROR: table k8s-gubernator:build.week is 25.3 hours old. Max allowed: 6 hours.
I0401 08:11:01.416] ERROR: table k8s-gubernator:build.day is 24.8 hours old. Max allowed: 6 hours.
I0401 08:11:01.416] Collected data:
I0401 08:11:01.416] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 08:11:01.417] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 08:11:01.417] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 08:11:01.417] 
W0401 08:11:01.504] Traceback (most recent call last):
... skipping 22 lines ...
W0401 08:11:01.507]     self.send(msg)
W0401 08:11:01.507]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 08:11:01.507]     self.connect()
W0401 08:11:01.507]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 08:11:01.508]     conn = self._new_conn()
W0401 08:11:01.508]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 08:11:01.508]     self, "Failed to establish a new connection: %s" % e
W0401 08:11:01.508] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f2316d16da0>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 08:11:01.508] 
W0401 08:11:01.508] During handling of the above exception, another exception occurred:
W0401 08:11:01.508] 
W0401 08:11:01.508] Traceback (most recent call last):
W0401 08:11:01.508]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 08:11:01.509]     timeout=timeout
W0401 08:11:01.509]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 08:11:01.509]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 08:11:01.509]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 08:11:01.509]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 08:11:01.510] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f2316d16da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 08:11:01.510] 
W0401 08:11:01.510] During handling of the above exception, another exception occurred:
W0401 08:11:01.510] 
W0401 08:11:01.510] Traceback (most recent call last):
W0401 08:11:01.510]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 08:11:01.510]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 08:11:01.511]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 08:11:01.512]     resp = self.send(prep, **send_kwargs)
W0401 08:11:01.512]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 08:11:01.512]     r = adapter.send(request, **kwargs)
W0401 08:11:01.512]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 08:11:01.512]     raise ConnectionError(e, request=request)
W0401 08:11:01.512] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f2316d16da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 08:11:01.513] Traceback (most recent call last):
W0401 08:11:01.513]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 08:11:01.513]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 08:11:01.513]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 08:11:01.513]     check(*cmd)
W0401 08:11:01.513]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 08:11:01.513]     subprocess.check_call(cmd)
W0401 08:11:01.513]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 08:11:01.513]     raise CalledProcessError(retcode, cmd)
W0401 08:11:01.514] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 08:11:01.514] Command failed
I0401 08:11:01.514] process 251 exited with code 1 after 6.6m
E0401 08:11:01.514] FAIL: metrics-kettle
I0401 08:11:01.514] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 08:11:01.977] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 08:11:02.582] process 255 exited with code 0 after 0.0m
I0401 08:11:02.582] Call:  gcloud config get-value account
I0401 08:11:03.434] process 267 exited with code 0 after 0.0m
I0401 08:11:03.434] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 08:11:03.434] Upload result and artifacts...
I0401 08:11:03.434] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245260619515432960
W0401 08:11:03.435] Missing local artifacts : /workspace/_artifacts
W0401 08:11:03.435] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 08:11:03.435] metadata not found or invalid, init with empty metadata
I0401 08:11:03.435] Call:  git rev-parse HEAD
W0401 08:11:03.441] fatal: not a git repository (or any of the parent directories): .git
E0401 08:11:03.441] Command failed
I0401 08:11:03.442] process 280 exited with code 128 after 0.0m
I0401 08:11:03.442] Call:  git rev-parse HEAD
I0401 08:11:03.446] process 281 exited with code 0 after 0.0m
I0401 08:11:03.446] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 08:11:04.862] process 282 exited with code 0 after 0.0m
I0401 08:11:04.863] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585725044119235'
... skipping 8 lines ...